com.sun.jna.platform.win32

## Interface IPHlpAPI.MIB_TCP_STATE

Enclosing interface:
  IPHlpAPI

    public static interface IPHlpAPI.MIB_TCP_STATE

Enumerates different possible TCP states.

### Field Summary

Fields
`static int` `MIB_TCP_STATE_CLOSE_WAIT`
`static int` `MIB_TCP_STATE_CLOSED`
`static int` `MIB_TCP_STATE_CLOSING`
`static int` `MIB_TCP_STATE_DELETE_TCB`
`static int` `MIB_TCP_STATE_ESTAB`
`static int` `MIB_TCP_STATE_FIN_WAIT1`
`static int` `MIB_TCP_STATE_FIN_WAIT2`
`static int` `MIB_TCP_STATE_LAST_ACK`
`static int` `MIB_TCP_STATE_LISTEN`
`static int` `MIB_TCP_STATE_SYN_RCVD`
`static int` `MIB_TCP_STATE_SYN_SENT`
`static int` `MIB_TCP_STATE_TIME_WAIT`

### Field Detail

#### MIB_TCP_STATE_CLOSED

    static final int MIB_TCP_STATE_CLOSED

See Also:
  Constant Field Values

#### MIB_TCP_STATE_LISTEN

    static final int MIB_TCP_STATE_LISTEN

See Also:
  Constant Field Values

#### MIB_TCP_STATE_SYN_SENT

    static final int MIB_TCP_STATE_SYN_SENT

See Also:
  Constant Field Values

#### MIB_TCP_STATE_SYN_RCVD

    static final int MIB_TCP_STATE_SYN_RCVD

See Also:
  Constant Field Values

#### MIB_TCP_STATE_ESTAB

    static final int MIB_TCP_STATE_ESTAB

See Also:
  Constant Field Values

#### MIB_TCP_STATE_FIN_WAIT1

    static final int MIB_TCP_STATE_FIN_WAIT1

See Also:
  Constant Field Values

#### MIB_TCP_STATE_FIN_WAIT2

    static final int MIB_TCP_STATE_FIN_WAIT2

See Also:
  Constant Field Values

#### MIB_TCP_STATE_CLOSE_WAIT

    static final int MIB_TCP_STATE_CLOSE_WAIT

See Also:
  Constant Field Values

#### MIB_TCP_STATE_CLOSING

    static final int MIB_TCP_STATE_CLOSING

See Also:
  Constant Field Values

#### MIB_TCP_STATE_LAST_ACK

    static final int MIB_TCP_STATE_LAST_ACK

See Also:
  Constant Field Values

#### MIB_TCP_STATE_TIME_WAIT

    static final int MIB_TCP_STATE_TIME_WAIT

See Also:
  Constant Field Values

#### MIB_TCP_STATE_DELETE_TCB

    static final int MIB_TCP_STATE_DELETE_TCB

See Also:
  Constant Field Values

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.